Package com.orchestranetworks.workflow

# Enum Class WaitTaskResumeResult.ErrorReason

java.lang.Object
java.lang.Enum<WaitTaskResumeResult.ErrorReason>
com.orchestranetworks.workflow.WaitTaskResumeResult.ErrorReason

All Implemented Interfaces:
  `Serializable`, `Comparable<WaitTaskResumeResult.ErrorReason>`, `Constable`

Enclosing class:
  WaitTaskResumeResult

public static enum WaitTaskResumeResult.ErrorReason extends Enum<WaitTaskResumeResult.ErrorReason>
Indicates the reason of a resumption failure.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVENT_ALREADY_RECEIVED`
  `PROCESS_INSTANCE_NOT_FOUND`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getCode()`
  Returns the error code associated with the error reason.
  `final boolean`
  `isEventAlreadyReceived()`
  Returns `true` if the error reason is `EVENT_ALREADY_RECEIVED`
  `final boolean`
  `isProcessInstanceNotFound()`
  Returns `true` if the error reason is `PROCESS_INSTANCE_NOT_FOUND`
  `static WaitTaskResumeResult.ErrorReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WaitTaskResumeResult.ErrorReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROCESS_INSTANCE_NOT_FOUND

    public static final WaitTaskResumeResult.ErrorReason PROCESS_INSTANCE_NOT_FOUND

  - ### EVENT_ALREADY_RECEIVED

    public static final WaitTaskResumeResult.ErrorReason EVENT_ALREADY_RECEIVED

- ## Method Details

  - ### values

    public static WaitTaskResumeResult.ErrorReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WaitTaskResumeResult.ErrorReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isProcessInstanceNotFound

    public final boolean isProcessInstanceNotFound()
    Returns `true` if the error reason is `PROCESS_INSTANCE_NOT_FOUND`

  - ### isEventAlreadyReceived

    public final boolean isEventAlreadyReceived()
    Returns `true` if the error reason is `EVENT_ALREADY_RECEIVED`

  - ### getCode

    public final String getCode()
    Returns the error code associated with the error reason.

    This code is returned in the web service of the wait task resumption.